import { Quill } from "@vueup/vue-quill";
let BlockEmbed = Quill.import("blots/block/embed");
class ImageBlot extends BlockEmbed {
    static create(value) {
        let node = super.create();
        node.setAttribute("src", value.url);
        node.setAttribute("id", value.id);

        console.log("图片信息", node);
        return node;
    }
    // 允许通过键盘删除
    deleteAt(index, length) {
        super.deleteAt(index, length);
    }
    static value(node) {
        return {
            url: node.getAttribute("src"),
            id: node.getAttribute("id")
        };
    }
}
ImageBlot.blotName = "customImage";
ImageBlot.tagName = "img";
export default ImageBlot;
